#!/bin/sh
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap

# debian path's
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap

# merge in defaults and keymaps

if [ -f $sysresources ]; then
 xrdb -merge $sysresources
fi

if [ -f $sysmodmap ]; then
 xmodmap $sysmodmap
fi

if [ -f $userresources ]; then
 xrdb -merge $userresources
fi

if [ -f $usermodmap ]; then
 xmodmap $usermodmap
fi

if [[ $(command -v xrandr) ]]; then
  # setup monitor's
  xrandr --output HDMI1 --left-of eDP1
fi

# start some nice programs
# only for debian
if [ -d /etc/X11/xinit/xinitrc.d ] ; then
 for f in /etc/X11/xinit/xinitrc.d/?*.sh ; do
  [ -x "$f" ] && . "$f"
 done
 unset f
fi

sh $HOME/.config/autostart.sh

# slim desktop manager
# open desktop enviroment from slim
exec $1

# use this for handle "onStartDesktopEnviromentEven"
#
#DEFAULTSESSION=openbox-session
#
#case "$1" in
#    openbox) exec openbox-session ;;
#     xfce) exec xfce4-session ;;
#     gnome3) exec gnome-session ;;
#     kde) exec startkde ;;
#     cinnamon) exec gnome-session-cinnamon ;;
#     razor-qt) exec razor-session ;;
#     lxde) exec lxsession ;;
#     mate) exec mate-session ;;
#     *) exec $DEFAULTSESSION ;;
#esac
